package com.yxproject.start.entity;

import javax.persistence.*;
import java.sql.Time;
import java.util.Objects;

@Entity
@Table(name = "PERSON_POST", schema = "POST", catalog = "")
public class PersonPostEntity {
    private String waybillNumber;
    private String backWaybillNumber;
    private String orderNumber;
    private Time createDate;
    private String openid;
    private String wcPlayOrderNumber;
    private String playState;
    private String orderState;
    private String applicantName;
    private String senderName;
    private String senderPhone;
    private String senderAddress;
    private String recipientName;
    private String recipientPhone;
    private String recipientAddress;
    private String orderBlankNumber;
    private String getToProvince;
    private String getToCity;
    private String getToCounty;
    private String businessType;
    private String latticeMouthInformation;
    private String natureOfTheInternal;
    private String natureOfTheInformation;
    private String firstWhite;

    @Id
    @Column(name = "WAYBILL_NUMBER")
    public String getWaybillNumber() {
        return waybillNumber;
    }

    public void setWaybillNumber(String waybillNumber) {
        this.waybillNumber = waybillNumber;
    }

    @Basic
    @Column(name = "BACK_WAYBILL_NUMBER")
    public String getBackWaybillNumber() {
        return backWaybillNumber;
    }

    public void setBackWaybillNumber(String backWaybillNumber) {
        this.backWaybillNumber = backWaybillNumber;
    }

    @Basic
    @Column(name = "ORDER_NUMBER")
    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    @Basic
    @Column(name = "CREATE_DATE")
    public Time getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Time createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "OPENID")
    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    @Basic
    @Column(name = "WC_PLAY_ORDER_NUMBER")
    public String getWcPlayOrderNumber() {
        return wcPlayOrderNumber;
    }

    public void setWcPlayOrderNumber(String wcPlayOrderNumber) {
        this.wcPlayOrderNumber = wcPlayOrderNumber;
    }

    @Basic
    @Column(name = "PLAY_STATE")
    public String getPlayState() {
        return playState;
    }

    public void setPlayState(String playState) {
        this.playState = playState;
    }

    @Basic
    @Column(name = "ORDER_STATE")
    public String getOrderState() {
        return orderState;
    }

    public void setOrderState(String orderState) {
        this.orderState = orderState;
    }

    @Basic
    @Column(name = "APPLICANT_NAME")
    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    @Basic
    @Column(name = "SENDER_NAME")
    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    @Basic
    @Column(name = "SENDER_PHONE")
    public String getSenderPhone() {
        return senderPhone;
    }

    public void setSenderPhone(String senderPhone) {
        this.senderPhone = senderPhone;
    }

    @Basic
    @Column(name = "SENDER_ADDRESS")
    public String getSenderAddress() {
        return senderAddress;
    }

    public void setSenderAddress(String senderAddress) {
        this.senderAddress = senderAddress;
    }

    @Basic
    @Column(name = "RECIPIENT_NAME")
    public String getRecipientName() {
        return recipientName;
    }

    public void setRecipientName(String recipientName) {
        this.recipientName = recipientName;
    }

    @Basic
    @Column(name = "RECIPIENT_PHONE")
    public String getRecipientPhone() {
        return recipientPhone;
    }

    public void setRecipientPhone(String recipientPhone) {
        this.recipientPhone = recipientPhone;
    }

    @Basic
    @Column(name = "RECIPIENT_ADDRESS")
    public String getRecipientAddress() {
        return recipientAddress;
    }

    public void setRecipientAddress(String recipientAddress) {
        this.recipientAddress = recipientAddress;
    }

    @Basic
    @Column(name = "ORDER_BLANK_NUMBER")
    public String getOrderBlankNumber() {
        return orderBlankNumber;
    }

    public void setOrderBlankNumber(String orderBlankNumber) {
        this.orderBlankNumber = orderBlankNumber;
    }

    @Basic
    @Column(name = "GET_TO_PROVINCE")
    public String getGetToProvince() {
        return getToProvince;
    }

    public void setGetToProvince(String getToProvince) {
        this.getToProvince = getToProvince;
    }

    @Basic
    @Column(name = "GET_TO_CITY")
    public String getGetToCity() {
        return getToCity;
    }

    public void setGetToCity(String getToCity) {
        this.getToCity = getToCity;
    }

    @Basic
    @Column(name = "GET_TO_COUNTY")
    public String getGetToCounty() {
        return getToCounty;
    }

    public void setGetToCounty(String getToCounty) {
        this.getToCounty = getToCounty;
    }

    @Basic
    @Column(name = "BUSINESS_TYPE")
    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    @Basic
    @Column(name = "LATTICE_MOUTH_INFORMATION")
    public String getLatticeMouthInformation() {
        return latticeMouthInformation;
    }

    public void setLatticeMouthInformation(String latticeMouthInformation) {
        this.latticeMouthInformation = latticeMouthInformation;
    }

    @Basic
    @Column(name = "NATURE_OF_THE_INTERNAL")
    public String getNatureOfTheInternal() {
        return natureOfTheInternal;
    }

    public void setNatureOfTheInternal(String natureOfTheInternal) {
        this.natureOfTheInternal = natureOfTheInternal;
    }

    @Basic
    @Column(name = "NATURE_OF_THE_INFORMATION")
    public String getNatureOfTheInformation() {
        return natureOfTheInformation;
    }

    public void setNatureOfTheInformation(String natureOfTheInformation) {
        this.natureOfTheInformation = natureOfTheInformation;
    }

    @Basic
    @Column(name = "FIRST_WHITE")
    public String getFirstWhite() {
        return firstWhite;
    }

    public void setFirstWhite(String firstWhite) {
        this.firstWhite = firstWhite;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PersonPostEntity that = (PersonPostEntity) o;
        return Objects.equals(waybillNumber, that.waybillNumber) &&
                Objects.equals(backWaybillNumber, that.backWaybillNumber) &&
                Objects.equals(orderNumber, that.orderNumber) &&
                Objects.equals(createDate, that.createDate) &&
                Objects.equals(openid, that.openid) &&
                Objects.equals(wcPlayOrderNumber, that.wcPlayOrderNumber) &&
                Objects.equals(playState, that.playState) &&
                Objects.equals(orderState, that.orderState) &&
                Objects.equals(applicantName, that.applicantName) &&
                Objects.equals(senderName, that.senderName) &&
                Objects.equals(senderPhone, that.senderPhone) &&
                Objects.equals(senderAddress, that.senderAddress) &&
                Objects.equals(recipientName, that.recipientName) &&
                Objects.equals(recipientPhone, that.recipientPhone) &&
                Objects.equals(recipientAddress, that.recipientAddress) &&
                Objects.equals(orderBlankNumber, that.orderBlankNumber) &&
                Objects.equals(getToProvince, that.getToProvince) &&
                Objects.equals(getToCity, that.getToCity) &&
                Objects.equals(getToCounty, that.getToCounty) &&
                Objects.equals(businessType, that.businessType) &&
                Objects.equals(latticeMouthInformation, that.latticeMouthInformation) &&
                Objects.equals(natureOfTheInternal, that.natureOfTheInternal) &&
                Objects.equals(natureOfTheInformation, that.natureOfTheInformation) &&
                Objects.equals(firstWhite, that.firstWhite);
    }

    @Override
    public int hashCode() {
        return Objects.hash(waybillNumber, backWaybillNumber, orderNumber, createDate, openid, wcPlayOrderNumber, playState, orderState, applicantName, senderName, senderPhone, senderAddress, recipientName, recipientPhone, recipientAddress, orderBlankNumber, getToProvince, getToCity, getToCounty, businessType, latticeMouthInformation, natureOfTheInternal, natureOfTheInformation, firstWhite);
    }
}
